Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMartin Fluegge2011-08-09 15:45:56 +0000
committerMartin Fluegge2011-08-09 15:45:56 +0000
commit6da925d59e1d48ac6200308c1951cc33132042a2 (patch)
treef873bc1ac786d85b8ce16845c97240f5ec66894a /plugins/org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.emf
parentc897ef8db9fe36446d579a761896273208ac67f2 (diff)
downloadcdo-6da925d59e1d48ac6200308c1951cc33132042a2.tar.gz
cdo-6da925d59e1d48ac6200308c1951cc33132042a2.tar.xz
cdo-6da925d59e1d48ac6200308c1951cc33132042a2.zip
[332902] [Dawn] Decouple Dawn Runtime from integrated frameworks
https://bugs.eclipse.org/bugs/show_bug.cgi?id=332902
Diffstat (limited to 'plugins/org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.emf')
-rw-r--r--plugins/org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.emf/src/templates/EMFFragmentTemplate.xpt9
1 files changed, 5 insertions, 4 deletions
diff --git a/plugins/org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.emf/src/templates/EMFFragmentTemplate.xpt b/plugins/org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.emf/src/templates/EMFFragmentTemplate.xpt
index b13dc94cd6..0389aa0a7e 100644
--- a/plugins/org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.emf/src/templates/EMFFragmentTemplate.xpt
+++ b/plugins/org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.emf/src/templates/EMFFragmentTemplate.xpt
@@ -39,7 +39,7 @@ import «this.emfGenModel.modelPluginID».presentation.«this.emfGenModel.modelName
import org.eclipse.emf.cdo.dawn.editors.IDawnEditor;
import org.eclipse.emf.cdo.dawn.editors.IDawnEditorSupport;
-import org.eclipse.emf.cdo.dawn.editors.impl.DawnEMFEditorSupport;
+import org.eclipse.emf.cdo.dawn.emf.editors.impl.DawnEMFEditorSupport;
import org.eclipse.emf.cdo.dawn.ui.DawnEditorInput;
import org.eclipse.emf.cdo.dawn.ui.DawnLabelProvider;
import org.eclipse.emf.cdo.dawn.ui.DawnSelectionViewerAdapterFactoryContentProvider;
@@ -366,10 +366,11 @@ Bundle-SymbolicName: «this.fragmentName»;singleton:=true
Bundle-Version: 1.0.0.qualifier
Fragment-Host: «this.emfGenModel.editorPluginID»
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Require-Bundle: org.eclipse.emf.cdo.dawn;bundle-version="[1.0.0,2.0.0)",
- org.eclipse.emf.cdo.dawn.ui;bundle-version="[1.0.0,2.0.0)",
+Require-Bundle: org.eclipse.emf.cdo.dawn;bundle-version="[2.0.0,3.0.0)",
+ org.eclipse.emf.cdo.dawn.ui;bundle-version="[2.0.0,3.0.0)",
org.eclipse.emf.cdo.dawn.util;bundle-version="[1.0.0,2.0.0)",
- org.eclipse.emf.cdo.ui;bundle-version="[4.0.0,5.0.0)"
+ org.eclipse.emf.cdo.ui;bundle-version="[4.0.0,5.0.0)",
+ org.eclipse.emf.cdo.dawn.emf;bundle-version="[2.0.0,3.0.0)"
«ENDFILE»
«ENDDEFINE»

Back to the top